org.apache.ignite.internal.processors.cache.tree.mvcc.data

## Interface MvccUpdateResult

All Known Implementing Classes:
  MvccUpdateDataRow

    public interface MvccUpdateResult

### Method Summary

All Methods Instance Methods Abstract Methods
`List<MvccLinkAwareSearchRow>` `history()`
`CacheInvokeResult` `invokeResult()`
`boolean` `isKeyAbsentBefore()`
`CacheObject` `newValue()`
`CacheObject` `oldValue()`
`ResultType` `resultType()`
`MvccVersion` `resultVersion()`

### Method Detail

#### resultType

    ResultType resultType()

Returns:
  Type of result.

#### resultVersion

    MvccVersion resultVersion()

Returns:
  Result version.

#### history

    List<MvccLinkAwareSearchRow> history()

Returns:
  Collection of row created or affected by the current tx.

#### newValue

    CacheObject newValue()

Returns:
  New value of updated entry.

#### oldValue

    CacheObject oldValue()

Returns:
  Old value.

#### isKeyAbsentBefore

    boolean isKeyAbsentBefore()

Returns:
  `True` if this key was inserted in the cache with this row in the same transaction.

#### invokeResult

    CacheInvokeResult invokeResult()

Returns:
  Entry processor invoke result.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018